# Changelog

## [1.3.3](https://github.com/highlightjs/highlightjs-apex/compare/v1.3.2...v1.3.3) (2023-11-09)


### Bug Fixes

* include interface in class declaration ([#34](https://github.com/highlightjs/highlightjs-apex/issues/34)) ([51037bd](https://github.com/highlightjs/highlightjs-apex/commit/51037bd6589ceeb5d4e1887d3c6f0783f98206cb))
* remove unnecessary system interfaces ([c8e9b25](https://github.com/highlightjs/highlightjs-apex/commit/c8e9b25a438b3f1a8374b9dd07d44c13341ac624))


### Reverts

* "docs: add separate changelog section for dependencies" ([4483ee6](https://github.com/highlightjs/highlightjs-apex/commit/4483ee6a7b4d6df9a2354681c7304ec7726319b9))


### Code Refactoring

* soql keywords cleanup ([c8e9b25](https://github.com/highlightjs/highlightjs-apex/commit/c8e9b25a438b3f1a8374b9dd07d44c13341ac624))


### Documentation

* add separate changelog section for dependencies ([ed13712](https://github.com/highlightjs/highlightjs-apex/commit/ed1371245844e6ad14bb7345016e92ba0b5f9c68))
* include testing updates in changelog ([9a55c6a](https://github.com/highlightjs/highlightjs-apex/commit/9a55c6a3f8aa044776a51f6334467ca19597118a))


### Tests

* add page to view expected markup test code ([c8e9b25](https://github.com/highlightjs/highlightjs-apex/commit/c8e9b25a438b3f1a8374b9dd07d44c13341ac624))
* add sample soql file ([c8e9b25](https://github.com/highlightjs/highlightjs-apex/commit/c8e9b25a438b3f1a8374b9dd07d44c13341ac624))


### Build System

* include cdn-assets in package ([#35](https://github.com/highlightjs/highlightjs-apex/issues/35)) ([87b56a8](https://github.com/highlightjs/highlightjs-apex/commit/87b56a84b4fcb5e10f32ef798068a75760ca7ed5))
* use default npm registry ([87b56a8](https://github.com/highlightjs/highlightjs-apex/commit/87b56a84b4fcb5e10f32ef798068a75760ca7ed5))


### Continuous Integration

* **dependabot:** auto-rename dependabot update PRs ([#33](https://github.com/highlightjs/highlightjs-apex/issues/33)) ([ca9a5ed](https://github.com/highlightjs/highlightjs-apex/commit/ca9a5ed0e005919d3734ad55c9fda4a4106a240f))
* **dependabot:** update dependabot PRs only if opened by dependabot ([#36](https://github.com/highlightjs/highlightjs-apex/issues/36)) ([5a19c11](https://github.com/highlightjs/highlightjs-apex/commit/5a19c11376efc3e35e4134d85e1790c238d0b84f))

## [1.3.2](https://github.com/highlightjs/highlightjs-apex/compare/v1.3.1...v1.3.2) (2023-11-07)


### Code Refactoring

* **apex:** rearrange class for readability ([#29](https://github.com/highlightjs/highlightjs-apex/issues/29)) ([e73a679](https://github.com/highlightjs/highlightjs-apex/commit/e73a679f7b07b819978f49dba7c9cbb299058cdd))
* rearrange modules to better order for parsing ([#30](https://github.com/highlightjs/highlightjs-apex/issues/30)) ([b8e8a6f](https://github.com/highlightjs/highlightjs-apex/commit/b8e8a6f5700ab53107757fef6f510035cbbec0d5))


### Styles

* **monokai-sublime-apex:** update theme subscopes ([#27](https://github.com/highlightjs/highlightjs-apex/issues/27)) ([837b79f](https://github.com/highlightjs/highlightjs-apex/commit/837b79f5cd0ae7db19eaa0436c1884a31e56f95e))

## [1.3.1](https://github.com/highlightjs/highlightjs-apex/compare/v1.3.0...v1.3.1) (2023-11-02)


### Continuous Integration

* **npm:** give proper permission to upload provenance ([50fe2be](https://github.com/highlightjs/highlightjs-apex/commit/50fe2be288218c70aefe8d42c3b3750e40bbd8a1))

## [1.3.0](https://github.com/highlightjs/highlightjs-apex/compare/v1.2.1...v1.3.0) (2023-11-02)


### Features

* API 59.0 update ([#16](https://github.com/highlightjs/highlightjs-apex/issues/16)) ([0616140](https://github.com/highlightjs/highlightjs-apex/commit/061614019923e77b37927faa3943de98194099f9)), closes [#23](https://github.com/highlightjs/highlightjs-apex/issues/23)


### Styles

* **CSS:** create Monokai Sublime Apex theme ([#18](https://github.com/highlightjs/highlightjs-apex/issues/18)) ([d8a6ca1](https://github.com/highlightjs/highlightjs-apex/commit/d8a6ca196ea3c557fe8280a97001d5957dfbfa51))
* Monokai-Sublime-Apex theme has been revised ([0616140](https://github.com/highlightjs/highlightjs-apex/commit/061614019923e77b37927faa3943de98194099f9))


### Documentation

* update README ([56651b3](https://github.com/highlightjs/highlightjs-apex/commit/56651b3aeef2246b8cac89b5361b364fbfbd6be4))
* update sample code image ([e71c1b9](https://github.com/highlightjs/highlightjs-apex/commit/e71c1b95c36b500bbbf14e572fe6ae8a24eb5b56))


### Build System

* **changelog:** remove auto-changelog ([#21](https://github.com/highlightjs/highlightjs-apex/issues/21)) ([4c82447](https://github.com/highlightjs/highlightjs-apex/commit/4c82447cd030b3022157783573586ab22355467d))


### Continuous Integration

* **codeql:** limit run to js updates ([d8d11f8](https://github.com/highlightjs/highlightjs-apex/commit/d8d11f8c185a9b6253d279949c5506a044b75386))
* **npm:** add npm upload to release script ([#22](https://github.com/highlightjs/highlightjs-apex/issues/22)) ([372d827](https://github.com/highlightjs/highlightjs-apex/commit/372d827700ec50470f0aab1a530935aede88e944))
* **npm:** configure npm ([#24](https://github.com/highlightjs/highlightjs-apex/issues/24)) ([56651b3](https://github.com/highlightjs/highlightjs-apex/commit/56651b3aeef2246b8cac89b5361b364fbfbd6be4))

## [1.2.1](https://github.com/highlightjs/highlightjs-apex/compare/v1.2.0...v1.2.1) (2023-11-02)

### Miscellaneous Chores

- npm version 1.2.0 ([a5e6378](https://github.com/highlightjs/highlightjs-apex/commit/a5e637896f9065a3e9d33017ec4afe397da3a9ce))
- update package.json to v1.2.0 ([a5e6378](https://github.com/highlightjs/highlightjs-apex/commit/a5e637896f9065a3e9d33017ec4afe397da3a9ce))

### Documentation

- **changelog:** update changelog v1.2.0 ([3144fae](https://github.com/highlightjs/highlightjs-apex/commit/3144faef9f59a5a76ece758a32e9e9ad1c627064))

### Build System

- **deps-dev:** bump highlight.js from 11.7.0 to 11.8.0 ([#8](https://github.com/highlightjs/highlightjs-apex/issues/8)) ([54529fe](https://github.com/highlightjs/highlightjs-apex/commit/54529fef2bf5d388c57b1c30a8347554e5a0d7a9))
- **deps-dev:** bump prettier from 2.8.7 to 2.8.8 ([#7](https://github.com/highlightjs/highlightjs-apex/issues/7)) ([9edcca2](https://github.com/highlightjs/highlightjs-apex/commit/9edcca2f84ff243169b53c20417fba6b62690df7))
- **deps-dev:** bump prettier from 2.8.8 to 3.0.0 ([f866c97](https://github.com/highlightjs/highlightjs-apex/commit/f866c97e33a79186ca05fbd42bd5cb1c92190693))
- **deps-dev:** bump prettier from 3.0.0 to 3.0.1 ([#10](https://github.com/highlightjs/highlightjs-apex/issues/10)) ([ae6770e](https://github.com/highlightjs/highlightjs-apex/commit/ae6770e35937724db68838182e18384eabe96f50))
- **deps-dev:** bump prettier from 3.0.1 to 3.0.2 ([#12](https://github.com/highlightjs/highlightjs-apex/issues/12)) ([e1f490a](https://github.com/highlightjs/highlightjs-apex/commit/e1f490a4774d6f3511d973b2941fe15479a875be))
- **deps-dev:** bump prettier from 3.0.2 to 3.0.3 ([#13](https://github.com/highlightjs/highlightjs-apex/issues/13)) ([d2f1a6f](https://github.com/highlightjs/highlightjs-apex/commit/d2f1a6fb8b7a84955ce4afeb15a58679635e01a5))
- **deps:** bump highlight.js from 11.8.0 to 11.9.0 ([#15](https://github.com/highlightjs/highlightjs-apex/issues/15)) ([b20db94](https://github.com/highlightjs/highlightjs-apex/commit/b20db945a66300b22c83376e7fa7fcb475ed2d95))
- include highlight.js as dependency ([#11](https://github.com/highlightjs/highlightjs-apex/issues/11)) ([1026749](https://github.com/highlightjs/highlightjs-apex/commit/102674904a76ba7f5965e2a352bfca54fe88a302))

### Continuous Integration

- **deps:** bump actions/checkout from 3 to 4 ([#14](https://github.com/highlightjs/highlightjs-apex/issues/14)) ([c237011](https://github.com/highlightjs/highlightjs-apex/commit/c237011d196497504424bad0b4c2f912a21ec323))
- **release-please:** implement Release-Please for changelog ([#17](https://github.com/highlightjs/highlightjs-apex/issues/17)) ([c81e1ee](https://github.com/highlightjs/highlightjs-apex/commit/c81e1eeea7079f602d7d5799b103ce1cb49546cd))

## [v1.2.0](https://github.com/highlightjs/highlightjs-apex/compare/v1.1.1...v1.2.0) - 2023-03-29

### Merged

- build(deps): bump highlight.js from 11.8.0 to 11.9.0 [`#15`](https://github.com/highlightjs/highlightjs-apex/pull/15)
- ci(deps): bump actions/checkout from 3 to 4 [`#14`](https://github.com/highlightjs/highlightjs-apex/pull/14)
- build(deps-dev): bump prettier from 3.0.2 to 3.0.3 [`#13`](https://github.com/highlightjs/highlightjs-apex/pull/13)
- build(deps-dev): bump prettier from 3.0.1 to 3.0.2 [`#12`](https://github.com/highlightjs/highlightjs-apex/pull/12)
- build: include highlight.js as dependency [`#11`](https://github.com/highlightjs/highlightjs-apex/pull/11)
- build(deps-dev): bump prettier from 3.0.0 to 3.0.1 [`#10`](https://github.com/highlightjs/highlightjs-apex/pull/10)
- build(deps-dev): bump prettier from 2.8.8 to 3.0.0 [`#9`](https://github.com/highlightjs/highlightjs-apex/pull/9)
- build(deps-dev): bump highlight.js from 11.7.0 to 11.8.0 [`#8`](https://github.com/highlightjs/highlightjs-apex/pull/8)
- build(deps-dev): bump prettier from 2.8.7 to 2.8.8 [`#7`](https://github.com/highlightjs/highlightjs-apex/pull/7)

### Commits

- begin npm setup [`284b7df`](https://github.com/highlightjs/highlightjs-apex/commit/284b7dff2a4008f749b7852d1dad08a04680e9f1)
- docs(changelog): update changelog v1.2.0 [`3144fae`](https://github.com/highlightjs/highlightjs-apex/commit/3144faef9f59a5a76ece758a32e9e9ad1c627064)
- chore: update package.json to v1.2.0 [`e2af1e6`](https://github.com/highlightjs/highlightjs-apex/commit/e2af1e67e63a2645faa9b75eb1fbf47a19b3b79b)

## [v1.1.1](https://github.com/highlightjs/highlightjs-apex/compare/v1.1.0...v1.1.1) - 2023-03-29

### Merged

- feat(auto-changelog): configure auto-changelog [`#6`](https://github.com/highlightjs/highlightjs-apex/pull/6)
- build(deps-dev): bump prettier from 2.8.4 to 2.8.7 [`#5`](https://github.com/highlightjs/highlightjs-apex/pull/5)
- feat: update to Spring 23 (API 57.0) [`#4`](https://github.com/highlightjs/highlightjs-apex/pull/4)

### Commits

- Create codeql.yml [`8f1af08`](https://github.com/highlightjs/highlightjs-apex/commit/8f1af08fa31f515393cc73ae9f29fa53d6b6eb42)
- Create dependabot.yml [`c5da832`](https://github.com/highlightjs/highlightjs-apex/commit/c5da8326601a3c8feff1fb835ff4011c968a6135)
- docs(changelog): update changelog v1.2.0 [`3144fae`](https://github.com/highlightjs/highlightjs-apex/commit/3144faef9f59a5a76ece758a32e9e9ad1c627064)
- Readme typo [`faf2998`](https://github.com/highlightjs/highlightjs-apex/commit/faf2998257fbfa87cbe1a7138b2a0d32b8e7dcfa)

## [v1.1.0](https://github.com/highlightjs/highlightjs-apex/compare/v1.0.0...v1.1.0) - 2022-06-02

### Commits

- Release v1.1.0 [`06b9ea5`](https://github.com/highlightjs/highlightjs-apex/commit/06b9ea597d6042d385e4f6b0fccb71a0aa1b82e6)
- CDN version update [`9e267ab`](https://github.com/highlightjs/highlightjs-apex/commit/9e267abb5a013492e98169e91cbdce3b641aaa3e)
- README [`5cafe0c`](https://github.com/highlightjs/highlightjs-apex/commit/5cafe0c903d606f96412cee9302f25c645870281)

## v1.0.0 - 2022-05-31

### Merged

- NPM packaging [`#1`](https://github.com/highlightjs/highlightjs-apex/pull/1)

### Commits

- Initial release [`6541736`](https://github.com/highlightjs/highlightjs-apex/commit/6541736558de97458314f942ab048eb4f17b9d9b)
- CDN version update [`a1de575`](https://github.com/highlightjs/highlightjs-apex/commit/a1de57573cfa1d83029b635908c5d1bc70987c88)
- README [`1d14980`](https://github.com/highlightjs/highlightjs-apex/commit/1d14980b3c65a7edb2db38b8b41ca7487ac5660e)
- Update README.md [`c23f0b9`](https://github.com/highlightjs/highlightjs-apex/commit/c23f0b942c60151ab62223fe6352fb7a6605a483)
- README [`cc8ba72`](https://github.com/highlightjs/highlightjs-apex/commit/cc8ba727750a3d4dfa4325a01abb335dcbb2d21c)
- Changelog [`7630f8b`](https://github.com/highlightjs/highlightjs-apex/commit/7630f8bbeb31f6c7c708a91d6593658e56a03fbc)
- Sample code update [`313d768`](https://github.com/highlightjs/highlightjs-apex/commit/313d7685eac440d47f9cfd7b4a70d2ab1b1d2796)
- revert gitignore [`5ba665f`](https://github.com/highlightjs/highlightjs-apex/commit/5ba665f56b2b3a01813848cc0eb95aee462ca8b4)
- Patch script [`ad35f1e`](https://github.com/highlightjs/highlightjs-apex/commit/ad35f1efd86a9544e2a115cc45a47aff6310a17e)
- README update [`5f00ee2`](https://github.com/highlightjs/highlightjs-apex/commit/5f00ee2ba998c3c09bdbce47a6fec7f7668e90cf)
